<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
MatPrimitive
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jsmat.primitive.MatPrimitive class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MatPrimitive";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatPrimitive.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/primitive/MatInt8.html" title="class in ch.javasoft.jsmat.primitive"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/primitive/MatSingle.html" title="class in ch.javasoft.jsmat.primitive"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jsmat/primitive/MatPrimitive.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatPrimitive.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jsmat.primitive</FONT>
<BR>
Class MatPrimitive</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jsmat.primitive.MatPrimitive</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/jsmat/primitive/MatDouble.html" title="class in ch.javasoft.jsmat.primitive">MatDouble</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatInt16.html" title="class in ch.javasoft.jsmat.primitive">MatInt16</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatInt32.html" title="class in ch.javasoft.jsmat.primitive">MatInt32</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatInt64.html" title="class in ch.javasoft.jsmat.primitive">MatInt64</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatInt8.html" title="class in ch.javasoft.jsmat.primitive">MatInt8</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatSingle.html" title="class in ch.javasoft.jsmat.primitive">MatSingle</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUInt16.html" title="class in ch.javasoft.jsmat.primitive">MatUInt16</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUInt32.html" title="class in ch.javasoft.jsmat.primitive">MatUInt32</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUInt64.html" title="class in ch.javasoft.jsmat.primitive">MatUInt64</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUInt8.html" title="class in ch.javasoft.jsmat.primitive">MatUInt8</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUtf16.html" title="class in ch.javasoft.jsmat.primitive">MatUtf16</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUtf32.html" title="class in ch.javasoft.jsmat.primitive">MatUtf32</A>, <A HREF="../../../../ch/javasoft/jsmat/primitive/MatUtf8.html" title="class in ch.javasoft.jsmat.primitive">MatUtf8</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.47"><B>MatPrimitive</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
<tt>MatPrimitive</tt> is the abstract superclass for all primitive matlab 
 types. These classes are used to read and write raw data. Typically, data
 consists of a type flag (4 bytes), the size of the block (4 bytes), the raw
 data block and some padding bytes if needed.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#MatPrimitive(ch.javasoft.jsmat.common.MatType)">MatPrimitive</A></B>(<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;type)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with type constant</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getArrayLength()">getArrayLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getRawDataSize()">getRawDataSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getSize()">getSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getUnitSize()">getUnitSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#write(java.io.DataOutput)">write</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the data block: type, raw size, raw data, padding (this order).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#writeBody(java.io.DataOutput)">writeBody</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the raw data block, without padding, type and size information</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#writeEnd(ch.javasoft.jsmat.common.MatType, java.io.DataOutput, int)">writeEnd</A></B>(<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;mType,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out,
                 int&nbsp;rawDataSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#writeStart(ch.javasoft.jsmat.common.MatType, java.io.DataOutput, int)">writeStart</A></B>(<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;mType,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out,
                     int&nbsp;rawDataSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MatPrimitive(ch.javasoft.jsmat.common.MatType)"><!-- --></A><H3>
MatPrimitive</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.56"><B>MatPrimitive</B></A>(<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;type)</PRE>
<DL>
<DD>Constructor with type constant
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>type</CODE> - the type constant</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getRawDataSize()"><!-- --></A><H3>
getRawDataSize</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.64"><B>getRawDataSize</B></A>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>size of raw data (bytes) excluding padding, type(4) and size(4),
                        that is <A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getUnitSize()"><CODE>getUnitSize()</CODE></A> times <A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getArrayLength()"><CODE>getArrayLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getArrayLength()"><!-- --></A><H3>
getArrayLength</H3>
<PRE>
public abstract int <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.73"><B>getArrayLength</B></A>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the logical data length, that is <A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getRawDataSize()"><CODE>getRawDataSize()</CODE></A> 
                        divided by <A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#getUnitSize()"><CODE>getUnitSize()</CODE></A>. this is usually the length
                        of the array storing the data in java</DL>
</DD>
</DL>
<HR>

<A NAME="writeStart(ch.javasoft.jsmat.common.MatType, java.io.DataOutput, int)"><!-- --></A><H3>
writeStart</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.75"><B>writeStart</B></A>(<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;mType,
                              <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out,
                              int&nbsp;rawDataSize)
                       throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="writeBody(java.io.DataOutput)"><!-- --></A><H3>
writeBody</H3>
<PRE>
protected abstract void <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.86"><B>writeBody</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
                           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Writes the raw data block, without padding, type and size information
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>out</CODE> - the data output to write to
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any io exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="writeEnd(ch.javasoft.jsmat.common.MatType, java.io.DataOutput, int)"><!-- --></A><H3>
writeEnd</H3>
<PRE>
public static void <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.88"><B>writeEnd</B></A>(<A HREF="../../../../ch/javasoft/jsmat/common/MatType.html" title="enum in ch.javasoft.jsmat.common">MatType</A>&nbsp;mType,
                            <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out,
                            int&nbsp;rawDataSize)
                     throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getSize()"><!-- --></A><H3>
getSize</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.97"><B>getSize</B></A>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the total size of this data block, including type, size and
                        padding (if any)</DL>
</DD>
</DL>
<HR>

<A NAME="write(java.io.DataOutput)"><!-- --></A><H3>
write</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.118"><B>write</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Writes the data block: type, raw size, raw data, padding (this order).
 To write the raw data, which is type specific (implemented in 
 subclasses), <A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#writeBody(java.io.DataOutput)"><CODE>writeBody(DataOutput)</CODE></A> is called.
 <p>
 Equivalent to calling
 <pre>
  writeStart(out);
        writeBody(out);
        writeEnd(out);
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>out</CODE> - the data output to write to
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any io exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="getUnitSize()"><!-- --></A><H3>
getUnitSize</H3>
<PRE>
protected int <A HREF="../../../../src-html/ch/javasoft/jsmat/primitive/MatPrimitive.html#line.154"><B>getUnitSize</B></A>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the unit size, that is, the number of bytes used to store one
                        value of this type. see <A HREF="../../../../ch/javasoft/jsmat/common/MatType.html#size"><CODE>MatType.size</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatPrimitive.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/primitive/MatInt8.html" title="class in ch.javasoft.jsmat.primitive"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/primitive/MatSingle.html" title="class in ch.javasoft.jsmat.primitive"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jsmat/primitive/MatPrimitive.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatPrimitive.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
